#apiVersion: argoproj.io/v1alpha1
#kind: Application
#metadata:
#  name: penpot
#  finalizers:
#  - resources-finalizer.argocd.argoproj.io
#spec:
#  project: default
#  source:
#    repoURL: 'https://helm.penpot.app'
#    targetRevision: 0.*.*
#    helm:
#      parameters:
#        - name: 'ingress.enabled'
#          value: 'true'
#        - name: config.publicUri
#          value: 'penpot.innovation-hub-niedersachsen.de'
#        - name: ingress.hosts[0]
#          value: 'penpot.innovation-hub-niedersachsen.de'
#        - name: 'ingress.tls[0].hosts[0]'
#          value: 'penpot.innovation-hub-niedersachsen.de'
#        - name: 'ingress.tls[0].secretName'
#          value: penpot-tls
#        - name: ingress.annotations.kubernetes\.io\/ingress\.class
#          value: traefik
#        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
#          value: 'true'
#          forceString: true
#        - name: global.postgresqlEnabled
#          value: 'true'
#        - name: global.redisEnabled
#          value: 'true'
#        - name: persistence.assets.enabled
#          value: 'true'
#        - name: config.apiSecretKey
#          value: "kmZ96pAxhTgk3HZvvBkPeVTspGBneKVLEpO_3ecORs_gwACENZ77z05zCe7skvPsQ3jI3QgkULQOWCuLjmjQsg"
#        - name: config.smtp.enabled
#          value: 'true'
#        - name: config.smtp.host
#          value: '192.168.4.125'
#        - name: config.smtp.port
#          value: '25'
#        - name: config.smtp.tls
#          value: 'false'
#        - name: ingress.annotations.cert-manager\.io\/cluster-issuer
#          value: lets-encrypt
#    chart: penpot
#  destination:
#    server: 'https://kubernetes.default.svc'
#    namespace: penpot
#  syncPolicy:
#    managedNamespaceMetadata:
#      labels: 
#        pod-security.kubernetes.io/enforce: "privileged"
#    automated:
#      selfHeal: true
#      prune: true
#    syncOptions:
#      - CreateNamespace=true
